Subject: [Ltru] Ticket #37: AD Issue #4: delete last sentence in Section 2.2.9

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 28 Apr 2009 21:42:44 -0700

The AD points out:

--
AD review issue #4 - for details see
http://www.ietf.org/mail-archive/web/ltru/current/msg12399.html

4). In Section 2.2.9:

    Note well: although the 'Language-Tag' production appearing in this
    document is functionally equivalent to the one in [RFC4646], it has
    been changed to prevent certain errors in well-formedness arising
    from the old 'grandfathered' production. This version of the ABNF is
    RECOMMENDED as a replacement for the older version.

(nit) I suggest deleting the last sentence, as it doesn't provide any
useful information to a reader (as the WG wants
draft-ietf-ltru-4646bis-21bis.txt to replace RFC 4646, it is clear that
the WG believes that the new ABNF is better). Also I don't think it uses
RFC 2119 keyword properly.
--

I think this is not necessary. We have had, as a user community, a long-standing problem with stale references to BCP 47. We want to help ensure that implementers and standardizers use the right ABNF. It is well-known that many implementers rely excessively or even exclusively on the ABNF to determine "what is right". Therefore, it is useful to have some documentation explaining why this ABNF is better.

Proposed resolution: no change

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 30 Apr 2009 10:35:26 -0700

Hi -

As co-chair...

> From: "Phillips, Addison" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Tuesday, April 28, 2009 9:42 PM
> Subject: [Ltru] Ticket #37: AD Issue #4: delete last sentence in Section2.2.9

> I think this is not necessary. We have had, as a user community,
> a long-standing problem with stale references to BCP 47. We want
> to help ensure that implementers and standardizers use the right ABNF.
> It is well-known that many implementers rely excessively or even
> exclusively on the ABNF to determine "what is right". Therefore,
> it is useful to have some documentation explaining why this ABNF is better.
> 
...

Here's where we're at:

The sentence in question reads:
"This version of the ABNF is RECOMMENDED as a replacement for the
older version."

Mark Davis, AD Alexey Melnikov, and technical contributor Randy Presuhn
have all written (April 11) in favor of deleting the sentence, on the grounds that it is
an inappropriate use of the RFC 2119 keyword.  Addision Phillips writes in
favor of retaining the sentence, on the grounds that "it is useful to have some
documentation explaining why this ABNF is better".

It looks to me like there is a rough consensus in favor of deletion.  If someone
can offer a replacement that does not abuse RFC 2119 keywords and actually
does explain why this ABNF is better, I think we could consider it, but I think the
existing sentence fails to live up to Addison's rationale for retaining it.

Randy

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 30 Apr 2009 10:39:46 -0700

(as individual contributor)

Perhaps:

--
Specifications SHOULD replace references to or copies of the ABNF from previous versions of BCP 47 with this version.
--

(as editor)

I have deleted this sentence from the editor's copy, based on the current chair consensus.

Addison

Addison Phillips

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: Thursday, April 30, 2009 10:35 AM
> To: LTRU Working Group
> Subject: Re: [Ltru] Ticket #37: AD Issue #4: delete last sentence
> in Section2.2.9
> 
> Hi -
> 
> As co-chair...
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 30 Apr 2009 11:49:07 -0700

Hi -

As co-chair:

> To: "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Thursday, April 30, 2009 10:39 AM
> Subject: RE: [Ltru] Ticket #37: AD Issue #4: delete last sentence inSection2.2.9
>
> Specifications SHOULD replace references to or copies of the ABNF
> from previous versions of BCP 47 with this version.
> --

This has the same problem with respect to RFC 2119 keywords as the
sentence it would replace.

> I have deleted this sentence from the editor's copy, based on the current chair consensus.

Ok.  I've recorded the resolution and marked the issue closed -
http://trac.tools.ietf.org/wg/ltru/trac/ticket/37

Randy